2007-08-01  Michael Banck  <mbanck@debian.org>

	* servers.boot: Update to what is actually being used these days.

1999-09-07  Thomas Bushnell, BSG  <tb@mit.edu>

	* SETUP: Also set /servers/password.

1999-07-30  Roland McGrath  <roland@baalperazim.frob.com>

	* mksmallso, mkemptyso: Files removed.  The *.sh files are the source.

1999-05-15  Roland McGrath  <roland@baalperazim.frob.com>

	* servers.boot: Remove obsolete $(default-pager) tag.

1997-07-22  Miles Bader  <miles@gnu.ai.mit.edu>

	* rfloppy.copy: Remove hurd/devport.

1997-07-21  Miles Bader  <miles@gnu.ai.mit.edu>

	* bfloppy1.copy: Compress boot/serverboot again.
	* bfloppy1.grub: Use it.

1997-07-15  Miles Bader  <miles@gnu.ai.mit.edu>

	* mkfsimage.sh: Let uncompressed images be smaller than the
	maximum size.

1997-07-14  Miles Bader  <miles@gnu.ai.mit.edu>

	* rfloppy.copy: Add bin/rm.

1997-07-09  Miles Bader  <miles@gnu.ai.mit.edu>

	* bfloppy1.grub: Use /boot/serverboot uncompressed.

	* rfloppy.nss: New file.
	* rfloppy-special.copy: etc/nsswitch.conf.
	* rfloppy.copy: Add sbin/swapon, servers/socket/inet, servers/socket/local.

	* bfloppy2.boot: Specify a sync interval of two seconds to avoid
	accumulating tons of memory when doing massive copies.

1997-07-08  Miles Bader  <miles@gnu.ai.mit.edu>

	* bfloppy2.boot: Renamed from bfloppy1.boot.
	Use ext2fs.static rather than ufs.static.
	* bfloppy2-special.copy: mkdir boot.
	Use bfloppy2.boot rather than bfloppy1.boot.
	* bfloppy1.copy: Don't compress boot/serverboot (grub can't handle it).

1997-07-07  Miles Bader  <miles@gnu.ai.mit.edu>

	* mkfsimage.sh: Add support for dependency generation.
	* Makefile (floppy-copy, scripts): New variables.
	(DIST_FILES): Use them.
	(boot-floppies): New rule.
	(%.ext2.gz, %.ext2): New rules.
	[$(no_deps) != t]: Include boot floppy dependency files (.f_d).
	(%.ext2.f_d %.ext2.gz.f_d): New rule for generating floppy dep files.

1997-07-03  Miles Bader  <miles@gnu.ai.mit.edu>

	* rfloppy.copy: Remove bin/ps, lib/libps.so, sbin/fsck.ufs, & sbin/libnss_db*.

1997-06-30  Miles Bader  <miles@gnu.ai.mit.edu>

	* rfloppy.copy: Add bin/ed, sbin/fdisk.
	* Makefile: Make floppy targets depend on the appropriate .copy files.

	* bfloppy1.copy, bfloppy1-special.copy, bfloppy2.copy,
	bfloppy2-special.copy, bfloppy1.grub, bfloppy1.boot: New files.
	* Makefile (bfloppy1.ext2, bfloppy2.ext2): New targets.

1997-06-27  Miles Bader  <miles@gnu.ai.mit.edu>

	* rfloppy.group, rfloppy.passwd, rfloppy-special.copy: New files.
	* rfloppy.copy: Add etc/protocols & etc/services.
	Put dev & lib at end (since they're big & monotonous).
	* Makefile (rfloppy.ext2.gz): Copy from $(srcdir) using
	rfloppy-special.copy.

	* mkfsimage.sh: Get rid of debugging noise.
	Use the tar --same-owner option work around a bug with tar
	not preserving ownership when the current user isn't root.
	Don't pre-touch `makedev's.

1997-06-25  Miles Bader  <miles@gnu.ai.mit.edu>

	* mkfsimage.sh: Correct parsing of delayed translator specs.

1997-06-24  Miles Bader  <miles@gnu.ai.mit.edu>

	* mkfsimage.sh: Set the owner of created files.  Add --owner option.
	Rename `settrans' copy-op to `copytrans', & implement `settrans'.
	* rfloppy.copy: Add bin/fsysopts, bin/devprobe, bin/vmstat.
	Explicitly specify a translator for servers/socket/1.
	* Makefile (bfloppy.ext2, rfloppy.ext2.gz): Set owner to root.wheel.
	Use $(bfloppy-src) as the source, rather than /.
	(bfloppy-src): New variable.

	* mkfsimage.sh: New file.
	* bfloppy.copy, rfloppy.copy, bfloppy-special.copy: New files.
	* Makefile (tool-files): Variable removed.
	(install-tools): Rule removed.
	(bfloppy.ext2, rfloppy.ext2.gz): New rules.
	(dist-files): Include mkfsimage.sh, bfloppy.copy,
	bfloppy-special.copy, rfloppy.copy.

1997-06-19  Miles Bader  <miles@gnu.ai.mit.edu>

	* bfloppy.boot: New file.
	* tool-Makefile: Trash everything but floppy production rules.

Mon Jun 23 11:47:51 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* INSTALL-binary (STEP I): Tell to use e2os if the filesystem was
	made with Linux.

1997-06-17  Miles Bader  <miles@gnu.ai.mit.edu>

	* mksmallso, mkemptyso: New files.
	* Makefile (tool-files): add mksmallso & mkemptyso.

Mon Jun 16 11:56:33 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* Makefile (dist-links): Make $(dist-root)/boot/grub and
	$(dist-root)/share/misc.  Reported by Marcus G. Daniels
	(marcus@cathcart.sysc.pdx.edu).

Wed Jun 11 12:05:02 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* Makefile (dist-links): Create /servers/exec node.

	* servers.boot: Dynamic linker is now `ld.so.1', not `ld.so'.

	* menu.lst: Kernel is now `gnumach', not `kernel'.

Tue Jun 10 18:48:10 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* INSTALL-binary (Subroutine): Update location of NetBSD install
	floppies.  Also specify to use -P mount option on nfs mount.

	* menu.lst: Fix typo in floppy -> hd install.

	* Makefile (dist-files): Replace SOURCES.0.0 with SOURCES.0.2.
	(install-dist): Install SOURCES.0.2 instead of SOURCES.0.0.

Mon Jun  9 12:18:50 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* dist-README: Update version number.
	* INSTALL-binary: Likewise.  Also added some instructions to help
	Linux users.

Mon May 26 23:03:41 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* checklist: Add su, addauth, setauth, ids, & vminfo to list of
	setuid programs.

Wed May  7 15:07:48 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* INSTALL-binary (STEP VI): Suggest building a kernel.

Fri Apr 11 14:21:29 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* SETUP: Comment out frobbing of BOOT_DEV; grub does that on it's
 	own now.
	* INSTALL-GRUB-MBR: Delete file.
	* Makefile (dist-files): Omit INSTALL-GRUB-MBR.
	(install-dist): Likewise.
	* menu.lst (title): Replace install entries with new versions.
	* INSTALL-binary (STEP IV): Revised instructions to correspond to
	new reality, with Grub 0.4.

Tue Sep 24 16:47:04 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* servers.boot (/hurd/ufs.static): Change --machdev to -Tdevice.

Tue Sep 17 14:36:39 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* SETUP: Don't prepend `r' to $BOOT_DEV when invoking INSTALL-GRUB-MBR.

Fri Aug 16 10:50:01 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* SETUP: Set `PATH'.

Wed Aug 14 16:23:11 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* tool-Makefile (INSTALL, IMAGE): New variables.
	Change all rules &c to use these variables instead of
	`../hurdinst' and `hurd-image'.

Mon Aug  5 11:44:30 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* SETUP: Put `r' before BOOT_DEV in call to INSTALL-GRUB-MBR.
	Repair syntax of test to see if BOOT_DEV is valid.

	* Makefile (dist-links): Use correct pathnames for `ln' commands;
	use -f.  Repair touch command to avoid {}.

Wed Jul 31 13:15:38 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* install-stripped (copy/copyattrs): New function.
	(copy/plaincopy, copy/objcopy, copy): Use copyattrs.

	* Makefile (install-tools): Copy from the right place.  Make the
	installed install-stripped executable.

Tue Jul 30 12:05:54 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* INSTALL-binary: Don't make stupid claims about avoiding use of
	cylinder zero.

Mon Jul 29 14:47:53 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* checklist: Add cc to the list of symlinks to check.

Thu Jul 25 23:22:47 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* checklist: Add vmstat to the list of setuid programs.

Thu Jul 18 18:27:14 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* SETUP: Install grub with INSTALL-GRUB-MBR if desired.

	* INSTALL-GRUB-MBR: Fix quoting in last echo.

Wed Jul 17 00:17:05 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* INSTALL-binary: Yet more changes.

Tue Jul 16 23:41:09 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile (dist-files): boot-menu.grub -> menu.lst.
	(install-dist): Likewise; also put it in /boot/grub and don't
	bother with link in /etc.
	* menu.lst: Renamed from boot-menu.grub.

Mon Jul 15 17:18:05 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* INSTALL-binary: Many changes.

	* boot-menu.grub: Rewritten; much nicer now.

Mon Jul 15 15:58:46 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* INSTALL-GRUB-MBR: Only read first block of disk as mbr.
	"in)" -> "in".

	(INSTALL-GRUB-MBR): New file.
	* Makefile (dist-files): Add INSTALL-GRUB-MBR.
	(install-dist): Install INSTALL-GRUB-MBR.

Sun Jul 14 20:21:12 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* servers.boot: That's STATIC ufs.

Sat Jul 13 18:06:03 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* SETUP: Make ptys too.

	* SETUP: Setup /servers/crash too.

	* COPYING.LIB: New file.
	* Makefile (install-dist): Install COPYING.LIB and COPYING.
	Fix commands to install most everything from $(srcdir).

	* boot-menu.grub: New file.
	* servers.boot: New file.
	* Makefile (dist-files): Add servers.boot and boot-menu.grub.
	(install-dist): Install servers.boot and boot-menu.grub.
	(dist-links): Create $(dist-root)/boot.

	* INSTALL-binary: Various changes.

Fri Jul 12 15:18:25 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* install-stripped (makelocalhardlink): Only do cleverness if TO
 	already exists.  If it's not there, just make the link.

Tue Jul  9 20:10:21 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* INSTALL-binary: Changed.

Tue Jul  9 18:03:45 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* INSTALL-binary: Various changes.

	* Makefile (install-dist): Depend on dist-links.
	(dist-links): New target.

	* SETUP: Put pflocal on /servers/socket/local (which will be a
 	link to /servers/socket/1).

	* SETUP: Set root writable before doing anything else; offer to
 	reboot the system when through.

Mon Jul  8 17:47:58 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* INSTALL-binary: Various changes.
